## GDBusActionGroup

GDBusActionGroup — A D-Bus GActionGroup implementation

## Functions

GDBusActionGroup * | g_dbus_action_group_get ()

## Types and Values

| GDBusActionGroup

## Object Hierarchy

        GObject
        ╰── GDBusActionGroup

## Implemented Interfaces

GDBusActionGroup implements GActionGroup and GRemoteActionGroup.

## Includes

    #include <gio/gio.h>

## Description

GDBusActionGroup is an implementation of the GActionGroup interface that can be used as a proxy for an action group that is exported over D-Bus with `g_dbus_connection_export_action_group()`.

## Functions

### g_dbus_action_group_get ()

    GDBusActionGroup *
    g_dbus_action_group_get (GDBusConnection *connection,
                             const gchar *bus_name,
                             const gchar *object_path);

Obtains a GDBusActionGroup for the action group which is exported at the given `bus_name` and `object_path` .

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

This call is non-blocking. The returned action group may or may not already be filled in. The correct thing to do is connect the signals for the action group to monitor for changes and then to call `g_action_group_list_actions()` to get the initial list.

#### Parameters

connection | A GDBusConnection |
bus_name | the bus name which exports the action group |
object_path | the object path at which the action group is exported |

#### Returns

a GDBusActionGroup.

[transfer full]

Since 2.32

## Types and Values

### GDBusActionGroup

    typedef struct _GDBusActionGroup GDBusActionGroup;

## See Also

GActionGroup exporter